#!/bin/csh
#$Id: testRawIncDisc.sh,v 1.5 2008/05/23 03:22:45 atulskulkarni Exp $



# Copyright (C) 2008
# Atul Kulkarni, University of Minnesota, Duluth
# kulka053@d.umn.edu
# Ted Pedersen, University of Minnesota, Duluth
# tpederse@d.umn.edu

#############################################################################
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

##############################################################################


if(-d $1/truth_files/official_annotation/) then
	set dif1 = 1	#2 <additional discards> - 3 No <doc></doc> tag = -1 extra context.
	set dif2 = 0
else
	set dif2 = 3	#difference of 3 context.
	set dif1 = 0
endif


echo "Test --include-discards and --raw Option - Testing weps2sval2.pl with --include-discards and --raw at the command line"
echo "Running ./weps2sval2.pl --input $1/ --output $2_rawincdisc --include-discards --raw"
../../weps2sval2.pl --input $1/ --output $2_rawincdisc --include_discards --raw 


set expxml = `ls $1/description_files/*.xml`
set obsxml = `ls $2_rawincdisc/*.xml`

if ($#expxml == $#obsxml) then
	echo "STATUS : Number of XMLs match. Result OK."
else
	echo "STATUS : Number of XMLs do not match. Result ERROR."
endif

#echo "Testing expected and observed number of instances in output."

set expected = `ls $1/description_files/*.xml | xargs grep "<doc rank" | wc -l`
set observed = `ls $2_rawincdisc/*.xml | xargs grep "<instance id=" | wc -l`

@ ans = $expected - $observed
if ($ans == $dif2) then
	echo "STATUS : Number of instances are the same. Result OK."
else
	echo "STATUS : Expected number of instances do not match. Result NOT OK."
	echo " Expected instances: $expected"
	echo " Observed instances: $observed"
endif

if(-d $1/truth_files/official_annotation/) then
	set expected = `ls $1/truth_files/official_annotation/*.xml | xargs grep "<doc rank" | wc -l`
else
	set expected = `ls $1/truth_files/*.xml | xargs grep "<doc rank" | wc -l`
endif

set observed = `ls $2_rawincdisc/*.xml | xargs grep "<answer instance=" | wc -l`
@ ans = $expected - $observed

if ($ans == $dif1) then
	echo "STATUS : Number of answers found match expected answers. Result OK."
else
	echo "STATUS : Number of answers found do not match expected answers. Result NOT OK."
	echo " Expected instances: $expected"
	echo " Observed instances: $observed"
endif



